#include <stdlib.h>

/* Fisher-Yates shuffle */

void shuffle_pointers(void** array, size_t nelem)
{
	if(1<nelem)
	{
		size_t i;

		for(i=nelem-1;0<i;--i)
		{
			const size_t j = i + rand() / (RAND_MAX / (nelem - i) + 1);
			void* t = array[j];
			array[j] = array[i];
			array[i] = t;
		}
	}
}
